#include <iostream>
#include<vector>
using namespace std;

int main()
{
    int Szamok,szam,eredmeny=1,q=1,szaz=10,per=1,d=0;
   cin>>Szamok;
   vector <int>eredmenyek={};
   vector<int>lista={};
   for(int i=0;i<Szamok;i++){
    cin>>szam;
    eredmenyek={};

    for (int j=1;j<=(1+szam*1.0/2)*(szam*1.0/2);j++){
        for (int z=1;z<q;){
                if(j%szaz/per<10){
                    eredmeny=eredmeny*j;
                    szaz=10;
                    per=1;
                    break;
                }
                else{
            eredmeny=eredmeny*(j%szaz/per);
            szaz=szaz*10;
            per=per*10;
                }
        }
        if(eredmenyek.size()==0){
            eredmenyek.push_back(eredmeny);
        }
        else{
            for(int p=0;p<eredmenyek.size();p++){
                if(eredmenyek[p]!=eredmeny){
                    d++;
                }
                if (d==eredmenyek.size()){
                    eredmenyek.push_back(eredmeny);
                    d=0;
                }
            }
        }
        lista.push_back(eredmenyek.size());


   }
   }

   for(int i=0;i<Szamok;i++){
    cout<<lista[i]<<endl;



   }
    return 0;
}